Virtual Hubs
Create, delete, update and list Virtual Hubs.
Create Virtual Hub
/hardware/v1/virtual-hub
Create a new virtual hub for an organization.
Requires a bearer access token for this API with the Organization.VirtualHubs.Write permission. See Authentication.
Request body
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/virtual-hub" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string", "ports": [ { "hub": { "id": "string" }, "port": { "id": 0 } } ] }'
Get Virtual Hubs
/hardware/v1/virtual-hubs
Get all Virtual Hubs for a given Organization.
Requires a bearer access token for this API with the Organization.VirtualHubs.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Virtual Hub
/hardware/v1/virtual-hubs/{virtualHubId}
Get a Virtual Hub.
Requires a bearer access token for this API with the Organization.VirtualHubs.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs/{virtualHubId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Virtual Hub
/hardware/v1/virtual-hubs/{virtualHubId}
Update a Virtual Hub.
Requires a bearer access token for this API with the Organization.VirtualHubs.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs/{virtualHubId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string", "ports": [ { "hub": { "id": "string" }, "port": { "id": 0 } } ] }'
Delete Virtual Hub
/hardware/v1/virtual-hubs/{virtualHubId}
Delete a Virtual Hub.
Requires a bearer access token for this API with the Organization.VirtualHubs.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/virtual-hubs/{virtualHubId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"